import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testFou {
    @Parameterized.Parameter
    protected Fou fouB;
    @Parameterized.Parameter
    protected Fou fouN;
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        fouB = new Fou(Piece.BLANC); // Initialise un fou blanc
        fouN = new Fou(Piece.NOIR); // Initialise un fou noir
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece f = new Fou(Piece.BLANC);
        ech.placer(f, 0, 0);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(0, 0);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece f = new Fou(Piece.BLANC);
        ech.placer(f, 6, 6);
        System.out.println(ech);
    }
}