import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testRoi {
    @Parameterized.Parameter
    protected Roi roiB;
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        roiB = new Roi(Piece.BLANC); // Initialise un roi blanc
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece t = new Roi(Piece.BLANC);
        ech.placer(t, 0, 0);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(0, 0);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece t = new Roi(Piece.BLANC);
        ech.placer(t, 1, 1);
        System.out.println(ech);
    }
}